/*-
 ***********************************************************************
 *
 * $Id: pad-join.h,v 1.3 2005/04/02 18:02:31 mavrik Exp $
 *
 ***********************************************************************
 *
 * Copyright 2002-2005 The WebJob Project, All Rights Reserved.
 *
 ***********************************************************************
 */

/*-
 ***********************************************************************
 *
 * Defines
 *
 ***********************************************************************
 */
#define XER                 -1
#define XER_OK               0
#define XER_Usage            1
#define XER_BootStrap        2
#define XER_ProcessArguments 3
#define XER_WorkHorse        4

/*-
 ***********************************************************************
 *
 * Typedefs
 *
 ***********************************************************************
 */
typedef struct _PAD_JOIN_PROPERTIES
{
  char               *pcDelimiter;
  char               *pcPayload;
  char               *pcPaDGuts;
} PAD_JOIN_PROPERTIES;

/*-
 ***********************************************************************
 *
 * Function Prototypes
 *
 ***********************************************************************
 */
int                 main(int iArgumentCount, char *ppcArgumentVector[]);
int                 PaDBootStrap(char *pcError);
int                 PaDWorkHorse(PAD_JOIN_PROPERTIES *psProperties, char *pcError);
int                 PaDProcessArguments(int iArgumentCount, char *ppcArgumentVector[], PAD_JOIN_PROPERTIES *psProperties, char *pcError);
void                PaDShutdown(int iError);
void                PaDUsage(char *pcProgram);
